package com.xhkjedu.sclass.mapper.classroom;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomVote;
import com.xhkjedu.sclass.model.classroom.TClassroomVoteStudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ClassroomVoteMapper extends TkMapper<TClassroomVote> {

    //获取课堂投票
    List<Map<String,Object>> listVoteByRoomid(@Param("roomid")Long roomid);

    //投票参与学生
    List<TClassroomVoteStudent> listVoteStus(@Param("voteid")Long voteid);

    //课堂信息投票
    List<Map> listVoteStuByRoomAndStuid(@Param("roomid")Long roomid,@Param("studentid")Integer studentid);

    //批量保存
    void insertBatch(@Param("votes")List<TClassroomVote> votes);
}